> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agg.market/llms.txt
> Use this file to discover all available pages before exploring further.

# Get live crypto reference prices

> Returns fresh reference prices for recurring crypto market targets. Responses are never older than 1 second; concurrent requests are deduplicated across API instances.



## OpenAPI

````yaml /openapi/openapi.json post /crypto/reference-prices
openapi: 3.0.2
info:
  title: AGG API
  version: 1.0.0
  description: >-
    Prediction market aggregator REST API — authentication, users, venue events,
    venue markets, orderbooks, charts, and execution workflows.
servers:
  - url: https://api.agg.market
    description: Production
  - url: https://api.staging.agg.market
    description: Staging
security: []
paths:
  /crypto/reference-prices:
    post:
      tags:
        - Discovery
      summary: Get live crypto reference prices
      description: >-
        Returns fresh reference prices for recurring crypto market targets.
        Responses are never older than 1 second; concurrent requests are
        deduplicated across API instances.
      operationId: getCryptoReferencePrices
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - targets
              properties:
                targets:
                  minItems: 1
                  maxItems: 100
                  type: array
                  items:
                    anyOf:
                      - type: object
                        required:
                          - type
                          - venueMarketId
                        properties:
                          type:
                            type: string
                            enum:
                              - venueMarket
                          venueMarketId:
                            minLength: 1
                            maxLength: 256
                            type: string
                      - type: object
                        required:
                          - type
                          - venueEventId
                        properties:
                          type:
                            type: string
                            enum:
                              - venueEvent
                          venueEventId:
                            minLength: 1
                            maxLength: 256
                            type: string
                      - type: object
                        required:
                          - type
                          - venue
                          - externalMarketId
                        properties:
                          type:
                            type: string
                            enum:
                              - externalVenueMarket
                          venue:
                            type: string
                            enum:
                              - kalshi
                              - polymarket
                              - limitless
                              - opinion
                              - predict
                              - probable
                              - myriad
                              - hyperliquid
                          externalMarketId:
                            minLength: 1
                            maxLength: 256
                            type: string
                      - type: object
                        required:
                          - type
                          - venue
                          - venueMarketId
                          - asset
                          - resolution
                        properties:
                          type:
                            type: string
                            enum:
                              - market
                          venue:
                            type: string
                            enum:
                              - kalshi
                              - polymarket
                              - limitless
                              - opinion
                              - predict
                              - probable
                              - myriad
                              - hyperliquid
                          venueEventId:
                            maxLength: 256
                            type: string
                          venueMarketId:
                            minLength: 1
                            maxLength: 256
                            type: string
                          externalEventId:
                            maxLength: 256
                            type: string
                            nullable: true
                          externalMarketId:
                            maxLength: 256
                            type: string
                          asset:
                            minLength: 1
                            maxLength: 32
                            type: string
                          quoteAsset:
                            type: string
                            enum:
                              - USD
                          resolution:
                            type: object
                            required:
                              - sourceName
                              - sourceUrl
                              - sourceDomain
                              - rawCriteria
                              - confidence
                            properties:
                              sourceName:
                                maxLength: 256
                                type: string
                                nullable: true
                              sourceUrl:
                                maxLength: 1024
                                type: string
                                nullable: true
                              sourceDomain:
                                maxLength: 256
                                type: string
                                nullable: true
                              rawCriteria: {}
                              confidence:
                                type: string
                                enum:
                                  - verified
                                  - inferred
                                  - missing
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - softRefreshMs
                  - hardMaxAgeMs
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - target
                        - venue
                        - venueEventId
                        - venueMarketId
                        - externalEventId
                        - externalMarketId
                        - asset
                        - quoteAsset
                        - raw
                        - decimals
                        - normalized
                        - providerTimestamp
                        - fetchedAt
                        - ageMs
                        - refreshing
                        - stale
                        - source
                        - error
                      properties:
                        target:
                          anyOf:
                            - type: object
                              required:
                                - type
                                - venueMarketId
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - venueMarket
                                venueMarketId:
                                  minLength: 1
                                  maxLength: 256
                                  type: string
                            - type: object
                              required:
                                - type
                                - venueEventId
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - venueEvent
                                venueEventId:
                                  minLength: 1
                                  maxLength: 256
                                  type: string
                            - type: object
                              required:
                                - type
                                - venue
                                - externalMarketId
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - externalVenueMarket
                                venue:
                                  type: string
                                  enum:
                                    - kalshi
                                    - polymarket
                                    - limitless
                                    - opinion
                                    - predict
                                    - probable
                                    - myriad
                                    - hyperliquid
                                externalMarketId:
                                  minLength: 1
                                  maxLength: 256
                                  type: string
                            - type: object
                              required:
                                - type
                                - venue
                                - venueMarketId
                                - asset
                                - resolution
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - market
                                venue:
                                  type: string
                                  enum:
                                    - kalshi
                                    - polymarket
                                    - limitless
                                    - opinion
                                    - predict
                                    - probable
                                    - myriad
                                    - hyperliquid
                                venueEventId:
                                  maxLength: 256
                                  type: string
                                venueMarketId:
                                  minLength: 1
                                  maxLength: 256
                                  type: string
                                externalEventId:
                                  maxLength: 256
                                  type: string
                                  nullable: true
                                externalMarketId:
                                  maxLength: 256
                                  type: string
                                asset:
                                  minLength: 1
                                  maxLength: 32
                                  type: string
                                quoteAsset:
                                  type: string
                                  enum:
                                    - USD
                                resolution:
                                  type: object
                                  required:
                                    - sourceName
                                    - sourceUrl
                                    - sourceDomain
                                    - rawCriteria
                                    - confidence
                                  properties:
                                    sourceName:
                                      maxLength: 256
                                      type: string
                                      nullable: true
                                    sourceUrl:
                                      maxLength: 1024
                                      type: string
                                      nullable: true
                                    sourceDomain:
                                      maxLength: 256
                                      type: string
                                      nullable: true
                                    rawCriteria: {}
                                    confidence:
                                      type: string
                                      enum:
                                        - verified
                                        - inferred
                                        - missing
                        venue:
                          type: string
                          enum:
                            - kalshi
                            - polymarket
                            - limitless
                            - opinion
                            - predict
                            - probable
                            - myriad
                            - hyperliquid
                          nullable: true
                        venueEventId:
                          type: string
                          nullable: true
                        venueMarketId:
                          type: string
                          nullable: true
                        externalEventId:
                          type: string
                          nullable: true
                        externalMarketId:
                          type: string
                          nullable: true
                        asset:
                          type: string
                          nullable: true
                        quoteAsset:
                          type: string
                          enum:
                            - USD
                          nullable: true
                        raw:
                          type: string
                          nullable: true
                        decimals:
                          type: number
                          nullable: true
                        normalized:
                          type: number
                          nullable: true
                        providerTimestamp:
                          type: string
                          nullable: true
                        fetchedAt:
                          type: string
                          nullable: true
                        ageMs:
                          type: number
                          nullable: true
                        refreshing:
                          type: boolean
                        stale:
                          type: boolean
                        source:
                          type: object
                          required:
                            - provider
                            - providerMarketId
                            - confidence
                          properties:
                            provider:
                              type: string
                              nullable: true
                            providerMarketId:
                              type: string
                              nullable: true
                            confidence:
                              type: string
                              enum:
                                - verified
                                - inferred
                                - missing
                        error:
                          type: object
                          required:
                            - code
                            - message
                          properties:
                            code:
                              type: string
                              enum:
                                - not_found
                                - not_recurring_crypto
                                - reference_feed_missing
                                - price_unavailable
                                - stale_price
                            message:
                              type: string
                          nullable: true
                  softRefreshMs:
                    type: number
                  hardMaxAgeMs:
                    type: number
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
      security:
        - appId: []
components:
  securitySchemes:
    appId:
      type: apiKey
      in: header
      name: x-app-id
      description: Your application ID. Required for all app-tier and user-tier routes.

````